GET /v1/usage
#GET /v1/usagegetUsage
Units used per day and per route
| Scope | account:read |
|---|---|
| Lowest tier | sandbox |
| Weight (units) | 1 |
| SDK | Python client.account.usage ยท JavaScript cd.account.usage |
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
days | query | integer | Days back, 1 to 90 (default 30). |
Answer
data: { month, quota: { used, limit, remaining }, days: [{ day, calls, units, errors }], routes: [{ route, calls, units }] }
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/usage" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.account.usage()
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.account.usage();
console.log(r.data, r.meta.attribution);